"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nodepath = require("path");
const escapeHTML = require('escape-html');
class PathComponent {
    constructor(name, displayName) {
        this.name = name;
        this.displayName = displayName;
        this.urlName = encodeURIComponent(name);
        this.htmlDisplayName = escapeHTML(displayName);
        this.updateParentURL(null);
    }
    updateParentURL(parentURL) {
        if (parentURL) {
            this.fullURL = nodepath.join(parentURL, this.urlName);
        }
        else {
            this.fullURL = '/' + this.urlName;
        }
    }
}
exports.PathComponent = PathComponent;
//# sourceMappingURL=eventArgs.js.map